> For the complete documentation index, see [llms.txt](https://docs.multichain.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.multichain.org/developer-guide/scan-api-tx-status-account-history.md).

# Scan API (Tx Status/Account History)

## Get transaction info

Return the transaction info.

```
https://scanapi.multichain.org/v3/tx/0x7e1dc1c4175e18e4115e2242ad34cf3d7c6c53330194da648f47cb80395ee74c
```

{% tabs %}
{% tab title="Request" %}

| Parameter    | Description      |
| ------------ | ---------------- |
| tx           | transaction hash |
| {% endtab %} |                  |

{% tab title="Response" %}

```json
{
  "msg": "Success",
  "info": {
    "pairid": "anyUSDC",
    "txid": "0x7e1dc1c4175e18e4115e2242ad34cf3d7c6c53330194da648f47cb80395ee74c",
    "from": "0x8537307810fc40f4073a12a38554d4ff78efff41",
    "bind": "0xd39ba48b49cdfe44a9d07639603b390efe2790f5",
    "swaptx": "0x78bcb34cdfc9dd01e947609d3452a0554e93ec8b4861fc9f9f0d3c860e493db5",
    "status": 10,
    "statusmsg": "MatchTxStable",
    "timestamp": 1671081958,
    "swapinfo": {
      "routerSwapInfo": {
        "token": "0x3405a1bd46b85c5c029483fbecf2f3e611026e45",
        "tokenID": "anyUSDC"
      }
    },
    "confirmations": 2113,
    "historyType": "STABLEV3",
    "formatswapvalue": "4995.892293",
    "formatvalue": "4996.082293",
    "formatfee": "0.190000",
    "time": "261.87",
    "fromChainID": "42161",
    "toChainID": "10",
    "logIndex": 8,
    "label": "usd-coin"
  }

```

{% endtab %}
{% endtabs %}

## Get account transaction history

Return account transaction list

```
https://scanapi.multichain.org/v3/account/txns/0xe41a2b194f15aaae7500421ecb71e39c5be26bfd?offset=0&limit=50
```

{% tabs %}
{% tab title="Request" %}

| Parameter    | Description                                                                    |
| ------------ | ------------------------------------------------------------------------------ |
| offset       | 0\~1000                                                                        |
| limit        | 1\~100                                                                         |
| sort         | <p><code>-1</code> from old to new </p><p> <code>1</code>  from new to old</p> |
| {% endtab %} |                                                                                |

{% tab title="Response" %}

```
{
  "msg": "Success",
  "info": [
    {
      "pairid": "anyUSDC", 
      "txid": "0xa90683a9020d8e38e8ab696809e57f09f600ae50e2be3afff7807e10f639d351", 
      "from": "0x2b42affd4b7c14d9b7c2579229495c052672ccd3",  
      "bind": "0x5111fa46b34a5a89e76d0dab7993c0c28292f3a6", 
      "swaptx": "0xf76bf2b3d4dab3a4ac46ebbd4048e266f189c0585540e2e63ac094207b811a8f", 
      "status": 10, 
      "statusmsg": "MatchTxStable",
      "timestamp": 1671082531,
      "swapinfo": { 
        "routerSwapInfo": {
          "token": "0x95bf7e307bc1ab0ba38ae10fc27084bc36fcd605",
          "tokenID": "anyUSDC"
        }
      },
      "confirmations": 2145, 
      "historyType": "STABLEV3", 
      "formatswapvalue": "4348.156347", 
      "formatvalue": "4348.346347", 
      "formatfee": "0.190000", 
      "time": "298.77", 
      "fromChainID": "250", 
      "toChainID": "10", 
      "logIndex": 8,  
      "label": "usd-coin" 
    },
    ......
  ]
}
```

{% endtab %}
{% endtabs %}

## Get all transactions list

Return all tansactions list.

```
https://scanapi.multichain.org/v3/txns?offset=0&limit=50&sort=-1
```

{% tabs %}
{% tab title="Request" %}

| Parameter    | Description                                                                    |
| ------------ | ------------------------------------------------------------------------------ |
| offset       | 0\~max                                                                         |
| limit        | 1\~100                                                                         |
| sort         | <p><code>-1</code> from old to new </p><p> <code>1</code>  from new to old</p> |
| {% endtab %} |                                                                                |

{% tab title="Response" %}

```
{
  "msg": "Success",
  "info": [
    {
      "pairid": "anyUSDC", 
      "txid": "0xa90683a9020d8e38e8ab696809e57f09f600ae50e2be3afff7807e10f639d351", 
      "from": "0x2b42affd4b7c14d9b7c2579229495c052672ccd3",  
      "bind": "0x5111fa46b34a5a89e76d0dab7993c0c28292f3a6", 
      "swaptx": "0xf76bf2b3d4dab3a4ac46ebbd4048e266f189c0585540e2e63ac094207b811a8f",
      "status": 10, 
      "statusmsg": "MatchTxStable",
      "timestamp": 1671082531,
      "swapinfo": { 
        "routerSwapInfo": {
          "token": "0x95bf7e307bc1ab0ba38ae10fc27084bc36fcd605",
          "tokenID": "anyUSDC"
        }
      },
      "confirmations": 2145, 
      "historyType": "STABLEV3", 
      "formatswapvalue": "4348.156347", 
      "formatvalue": "4348.346347", 
      "formatfee": "0.190000", 
      "time": "298.77", 
      "fromChainID": "250", 
      "toChainID": "10", 
      "logIndex": 8,  
      "label": "usd-coin" 
    },
    ......
  ]
}
```

{% endtab %}
{% endtabs %}

## Get supported chains list

Return the chain list info.

```
 https://scanapi.multichain.org/data/chain?type=mainnet
```

{% tabs %}
{% tab title="Request" %}

<table><thead><tr><th width="321">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>type</td><td><p>mainnet </p><p>testnet</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```json
 {
  "1": {
    "name": "Ethereum",
    "symbol": "ETH",
    "rpc": "https://rpc.ankr.com/eth",
    "explorer": {
      "tx": "https://etherscan.io/tx/",
      "address": "https://etherscan.io/address/"
    },
    "explorer_cn": {
      "tx": "https://cn.etherscan.com/tx/",
      "address": "https://cn.etherscan.com/address/"
    },
    "logoUrl": "https://assets.coingecko.com/coins/images/279/small/ethereum.png",
    "networkType": "MAINNET"
  },
  "10": {
    "name": "Optimism",
    "symbol": "OETH",
    "rpc": "https://mainnet.optimism.io",
    "explorer": {
      "tx": "https://optimistic.etherscan.io/tx/",
      "address": "https://optimistic.etherscan.io/address/"
    },
    "explorer_cn": {
      "tx": "https://optimistic.etherscan.io/tx/",
      "address": "https://optimistic.etherscan.io/address/"
    },
    "logoUrl": "https://assets.coingecko.com/coins/images/25244/small/Optimism.png",
    "networkType": "MAINNET"
  },
  ......
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.multichain.org/developer-guide/scan-api-tx-status-account-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
